* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-size: 10px;
}
:root {
	--darkColor: #001b40;
	--lightColor: #ffffff;
	--lightGrey: #cacaca;
	--firstColor: #1a3253;
	--secondColor: #00204a;
	--thirdColor: #9e5baf;
}
html {
	scroll-behavior: smooth;
}
body {
	min-height: 100vh;
	color: var(--darkColor);
	font-family: "Inter", sans-serif;
}
.wrapper {
	overflow-x: hidden;
}
section {
	padding: 30px;
	min-width: 250px;
	text-align: center;
	margin: 0 auto;
}
h2 {
	text-transform: uppercase;
	font-size: 2.6rem;
	margin-bottom: 30px;
	position: relative;
}
.light h2::after {
	content: "";
	position: absolute;
	bottom: -10px;
	left: 50%;
	transform: translateX(-50%);
	width: 80px;
	height: 4px;
	border-radius: 70%;
	background-color: var(--thirdColor);
}
h3 {
	text-transform: uppercase;
	font-size: 2.2rem;
}
.dark {
	color: var(--lightColor);
}
p {
	font-size: 1.6rem;
	text-align: justify;
	line-height: 150%;
}
button {
	padding: 10px 20px;
	border-radius: 5px;
	font-size: 1.6rem;
	transition: 0.3s;
	font-weight: bold;
}
button:hover {
	cursor: pointer;
}
.light-btn {
	background-color: var(--lightColor);
	color: var(--firstColor);
	border: solid var(--lightColor) 1px;
}
.light-btn:hover {
	background-color: var(--darkColor);
	color: var(--lightColor);
	border: solid var(--darkColor) 1px;
}
.dark-btn {
	background-color: var(--darkColor);
	color: var(--lightColor);
	border: solid var(--darkColor) 1px;
}
.dark-btn:hover {
	background-color: var(--lightColor);
	color: var(--firstColor);
	border: solid var(--darkColor) 1px;
}
@media (min-width: 1000px) {
	section {
		padding: 70px 15vw;
	}
	.light h2::after {
		left: 0;
		transform: translateX(0);
	}
	.nav-bar {
		padding-left: 15vw;
		padding-right: 15vw;
	}
	p {
		font-size: 2rem;
		line-height: 160%;
	}
	button {
		padding: 15px 30px;
		font-size: 1.8rem;
	}
	h2 {
		font-size: 3.2rem;
		margin-bottom: 40px;
	}
	h3 {
		font-size: 2.6rem;
	}
}
@media (min-width: 1600px) {
	section,
	footer {
		padding-left: 22vw;
		padding-right: 22vw;
	}
}
/* ########## HEADER ########## */
.nav-bar {
	width: 100%;
	height: 8rem;
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 15px;
	background-color: var(--lightColor);
}
.logo {
	width: 70px;
	height: auto;
}
.burger i {
	font-size: 3rem;
	color: var(--darkColor);
	cursor: pointer;
}
nav {
	position: absolute;
	height: 0;
	top: 8rem;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: var(--lightColor);
	overflow: hidden;
}
.active {
	height: 50vh;
}
nav ul {
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	display: flex;
	flex-direction: column;
	justify-content: space-evenly;
	align-items: center;
	list-style: none;
	opacity: 0;
}
.active ul {
	opacity: 1;
}
nav a {
	font-size: 1.6rem;
	color: var(--darkColor);
	font-weight: bold;
	text-decoration: none;
}
.main-img {
	width: 100vw;
	background: linear-gradient(0deg, rgba(0, 27, 64, 0.77), rgba(0, 27, 64, 0.5)), url(./img/header.png);
	background-size: cover;
	background-position: center;
	min-height: 90vh;
	display: flex;
	justify-content: center;
	align-items: center;
}
h1 {
	font-size: 4.5rem;
	color: var(--lightColor);
	text-align: center;
}
@media (min-width: 600px) {
	.burger {
		display: none;
	}
	.nav-btn {
		background-color: var(--darkColor);
		padding: 10px 15px;
		color: var(--lightColor);
		border: 1px var(--darkColor) solid;
		border-radius: 5px;
		transition: 0.3s;
	}
	.nav-btn:hover {
		background-color: var(--lightColor);
		color: var(--darkColor);
		border: 1px var(--darkColor) solid;
	}
	nav,
	nav.active {
		position: static;
		height: 7rem;
		width: 80vw;
	}
	nav ul {
		position: static;
		height: 100%;
		flex-direction: row;
		opacity: 1;
	}
	.active ul {
		opacity: 1;
	}

	h1 {
		font-size: 6rem;
	}
	nav a {
		font-weight: normal;
		position: relative;
	}
	nav a::before {
		content: "";
		position: absolute;
		width: 100%;
		height: 3px;
		border-radius: 14px;
		background-color: var(--thirdColor);
		bottom: -10px;
		left: 0;
		transform-origin: right;
		transform: scaleX(0);
		transition: transform 0.3s ease-in-out;
	}
	nav a.nav-btn:before {
		height: 0;
	}
	nav a:hover::before {
		transform-origin: left;
		transform: scaleX(1);
	}
}
@media (min-width: 1000px) {
	.nav-bar {
		padding-left: 15vw;
		padding-right: 15vw;
	}
	nav a {
		font-size: 2rem;
	}
	h1 {
		font-size: 10rem;
	}
}
@media (min-width: 1600px) {
	.nav-bar {
		padding-left: 22vw;
		padding-right: 22vw;
	}
}
/* ########## ABOUT US ########## */
.slogan-bg {
	background: linear-gradient(0deg, rgba(0, 27, 64, 0.77), rgba(0, 27, 64, 0.77)), url(./img/slogan_bg.jpg);
	background-size: cover;
	background-position: center;
	height: 25vh;
	border-radius: 10px;
	display: flex;
	background-attachment: fixed;
	justify-content: center;
	align-items: center;
	padding: 30px;
	margin: 30px 0;
}
.slogan-bg p {
	color: var(--lightColor);
	font-weight: bold;
	font-size: 3rem;
	text-align: center;
}
#about-us h3 {
	text-align: left;
	text-transform: none;
	margin-bottom: 20px;
}
#about-us p {
	margin: 30px 0;
}
#about-us ul {
	list-style: none;
	list-style-position: inside;
	margin-bottom: 30px;
}
#about-us li:before {
	content: "\2022";
	font-size: 2rem;
	color: var(--thirdColor);
	margin-right: 8px;
}
#about-us li {
	font-size: 1.6rem;
	line-height: 150%;
	text-align: justify;
}
#about-us img {
	width: 126%;
	margin-left: -30px;
}
@media (min-width: 1000px) {
	#about-us h2 {
		text-align: left;
	}
	.slogan-bg {
		height: 15vh;
		margin: 40px 0;
	}
	#about-us ul {
		margin-bottom: 40px;
	}
	#about-us li:before {
		font-size: 3rem;
	}
	.about-us-container {
		display: flex;
		justify-content: space-between;
		align-items: start;
	}
	#about-us .about-us-container p {
		padding: 0 40px 40px 0;
		margin: 0;
	}
	#about-us li {
		font-size: 1.8rem;
		line-height: 160%;
	}
	#about-us img {
		margin-left: 0;
		width: 30vw;
		border-radius: 10px;
		order: 2;
	}
}
/* ########## PROJECTS ########## */
#projects {
	background: linear-gradient(0deg, rgba(0, 27, 64, 0.77), rgba(0, 27, 64, 0.77)), url(./img/projects_bg.jpg);
	background-size: cover;
	background-position: center;
	background-attachment: fixed;
	position: relative;
	min-height: 50vh;
}
.projects-container {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: center;
	gap: 1rem;
}
.project-card {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: center;
	border: solid 3px var(--lightColor);
	width: 65vw;
	min-width: 200px;
	min-height: 180px;
	border-radius: 10px;
	padding: 40px 10px;
	transition: 0.3s;
}
.project-card:has(button:hover) {
	transform: scale(1.02);
	box-shadow: 0 0 15px var(--firstColor);
}
.off:has(button:hover) {
	transform: scale(1);
	box-shadow: 0 0 15px var(--firstColor);
}
.off button:hover {
	background-color: var(--lightColor);
	color: var(--firstColor);
	border: solid var(--lightColor) 1px;
}

.project-card.off button {
	background-color: var(--lightGrey);
	border: solid var(--firstColor) 1px;
}

@media (min-width: 600px) {
	.projects-container {
		gap: 2rem;
	}
	.project-card {
		width: 50vw;
	}
}

@media (min-width: 1000px) {
	.projects-container {
		display: flex;
		flex-direction: row;
		justify-content: space-between;
	}
	.project-card {
		min-height: 230px;
	}
}
/* ########## JOIN US ########## */
.join-us-container {
	display: flex;
	flex-direction: column;
	align-items: center;
}
#join-us h2 {
	font-size: 3.1rem;
}
#join-us p {
	margin: 30px 0;
}
#join-us img {
	max-width: 40vw;
	min-width: 120px;
}
#join-us h2::after {
	width: 120px;
	left: 50%;
	transform: translateX(-50%);
}
@media (min-width: 600px) {
	#join-us img {
		max-width: 20vw;
	}
}
@media (min-width: 1000px) {
	.join-us-container {
		flex-direction: row;
		justify-content: space-between;
		align-items: center;
	}
	#join-us h2 {
		font-size: 3.4rem;
	}
	#join-us p {
		margin-left: 40px;
		margin-right: 40px;
	}
	#join-us img {
		width: 20vw;
		min-width: 120px;
	}
}
/* ### */
.team-photo {
	background-image: url(./img/join_us_img-min.jpg);
	min-height: 80vh;
	background-size: cover;
	background-position: center;
}
@media (min-width: 1000px) {
	.team-photo {
		margin-left: 15vw;
		margin-right: 15vw;
		border-radius: 10px;
		margin-bottom: 70px;
		min-height: 80vh;
	}
}
@media (min-width: 1600px) {
	.team-photo {
		margin-left: 22vw;
		margin-right: 22vw;
		min-height: 60vh;
	}
}
/* ########## SUPPORT ########## */
#support {
	background-color: var(--firstColor);
}
#support button {
	margin-top: 30px;
}
@media (min-width: 1000px) {
	#support button {
		margin-top: 50px;
	}
}
/* ########## TEAM ########## */
#team img {
	width: 100%;
	min-width: 200px;
	border-radius: 10px;
}
#team p {
	font-size: 1.6rem;
	color: var(--secondColor);
	text-align: center;
	margin: 1em;
}
#team p.name {
	font-weight: bold;
	margin-bottom: -1rem;
}
@media (min-width: 600px) {
	.team-container {
		display: grid;
		grid-template-columns: 1fr 1fr;
		gap: 30px;
	}
	#team p {
		font-size: 1.8rem;
	}
}
@media (min-width: 1000px) {
	.team-container {
		grid-template-columns: 1fr 1fr 1fr 1fr;
		gap: 40px;
	}
	#team h2 {
		text-align: left;
	}
}
/* ########## FOOTER ########## */
footer {
	background-color: var(--firstColor);
	display: flex;
	flex-direction: column;
	justify-content: space-around;
	align-items: center;
	min-height: 20vh;
	padding-top: 30px;
}
footer h2 {
	margin-top: 30px;
}
.email-text {
	font-size: 2.2rem;
	margin: 30px;
	color: var(--lightColor);
}
.footer-icons {
	display: flex;
	justify-content: space-between;
	align-items: center;
	min-width: 120px;
	margin-bottom: 30px;
	gap: 20px;
}
footer img {
	width: 35px;
}
footer p {
	opacity: 0.5;
	font-size: 1.4rem;
	padding-bottom: 5px;
}
@media (min-width: 1000px) {
	.email-text {
		font-size: 2.4rem;
	}
	.footer-icons {
		min-width: 140px;
	}
	footer img {
		width: 45px;
	}
	footer p {
		font-size: 1.6rem;
		padding-bottom: 10px;
	}
}
